namespace ChuPiao.Common.Enums
{
    [EnumDescription("玩法类型")]
    public enum Playtype
    {
        //没有了
        //[EnumDescription("22选5单式")]
        //XwDs = 70501,
        //[EnumDescription("22选5复式")]
        //XwFs = 70502,
        [EnumDescription("七星彩单式")]
        QxcDs = 70401,
        [EnumDescription("七星彩复式")]
        QxcFs = 70402,
        [EnumDescription("排列五单式")]
        PwDs = 70301,
        [EnumDescription("排列五复式")]
        PwFs = 70302,
        [EnumDescription("排列三 直选 单式")]
        PsZxDs = 70201,
        [EnumDescription("排列三 直选 复式")]
        PsZxFs = 70202,
        [EnumDescription("排列三 直选 和值")]
        PsZxHz = 70203,
        [EnumDescription("排列三 直选 组合胆拖")]
        PsZxDt = 70204,
        [EnumDescription("排列三 直选 跨度")]
        PsZxKd = 70205,
        [EnumDescription("排列三 直选 组合复式")]
        PsZxZhFs = 70206,
        [EnumDescription("排列三 组三 单式")]
        PsZux3Ds = 70211,
        [EnumDescription("排列三 组三 复式")]
        PsZux3Fs = 70212,
        [EnumDescription("排列三 组三 和值")]
        PsZux3Hz = 70213,
        [EnumDescription("排列三 组三 胆拖")]
        PsZux3Dt = 70214,
        [EnumDescription("排列三 组三 跨度")]
        PsZux3Kd = 70215,
        [EnumDescription("排列三 组六 单式")]
        PsZux6Ds = 70221,
        [EnumDescription("排列三 组六 复式")]
        PsZux6Fs = 70222,
        [EnumDescription("排列三 组六 和值")]
        PsZux6Hz = 70223,
        [EnumDescription("排列三 组六 胆拖")]
        PsZux6Dt = 70224,
        [EnumDescription("排列三 组六 跨度")]
        PsZux6Kd = 70225,
        [EnumDescription("排列三 组选 单式")]
        PsZuxDs = 70231,
        [EnumDescription("排列三 组选 和值")]
        PsZuxHz = 70232,
        [EnumDescription("超级大乐透单式")]
        LtDs = 70101,
        [EnumDescription("超级大乐透复式")]
        LtFs = 70102,
        [EnumDescription("超级大乐透胆拖")]
        LtDt = 70103,
        [EnumDescription("超级大乐透 追加 单式")]
        LtZhuiJiaDs = 70111,
        [EnumDescription("超级大乐透 追加 复式")]
        LtZhuiJiaFs = 70112,
        [EnumDescription("超级大乐透 追加 胆拖")]
        LtZhuiJiaDt = 70113,
        //没有了
        //[EnumDescription("超级大乐透 12X2 单式")]
        //Lt12X2Ds = 70121,
        //[EnumDescription("超级大乐透 12X2 复式")]
        //Lt12X2Fs = 70122,
        [EnumDescription("6场半全场单式")]
        Zc6Ds = 60301,
        [EnumDescription("6场半全场复式")]
        Zc6Fs = 60302,
        [EnumDescription("四场进球单式")]
        Jq4Ds = 60201,
        [EnumDescription("四场进球复式")]
        Jq4Fs = 60202,
        [EnumDescription("胜负彩十四场单式")]
        Sfc14Ds = 60101,
        [EnumDescription("胜负彩十四场复式")]
        Sfc14Fs = 60102,
        [EnumDescription("胜负彩九场单式")]
        Sfc9Ds = 60111,
        [EnumDescription("胜负彩九场复式")]
        Sfc9Fs = 60112,

        [EnumDescription("湖北11选5前2直选单式")]
        HdQ2ZxDs = 50302,
        [EnumDescription("湖北11选5前3直选单式")]
        HdQ3ZxDs = 50303,
        [EnumDescription("湖北11选5前2组选单式")]
        HdQ2ZuxDs = 50312,
        [EnumDescription("湖北11选5前3组选单式")]
        HdQ3ZuxDs = 50313,
        [EnumDescription("湖北11选5任选2单式")]
        HdR2Ds = 50322,
        [EnumDescription("湖北11选5任选3单式")]
        HdR3Ds = 50323,
        [EnumDescription("湖北11选5任选4单式")]
        HdR4Ds = 50324,
        [EnumDescription("湖北11选5任选5单式")]
        HdR5Ds = 50325,
        [EnumDescription("湖北11选5任选6单式")]
        HdR6Ds = 50326,
        [EnumDescription("湖北11选5任选7单式")]
        HdR7Ds = 50327,
        [EnumDescription("湖北11选5任选8单式")]
        HdR8Ds = 50328,
        [EnumDescription("湖北11选5前2组选胆拖")]
        HdQ2ZuxDt = 50332,
        [EnumDescription("湖北11选5前3组选胆拖")]
        HdQ3ZuxDt = 50333,
        [EnumDescription("湖北11选5任选2胆拖")]
        HdR2Dt = 50342,
        [EnumDescription("湖北11选5任选3胆拖")]
        HdR3Dt = 50343,
        [EnumDescription("湖北11选5任选4胆拖")]
        HdR4Dt = 50344,
        [EnumDescription("湖北11选5任选5胆拖")]
        HdR5Dt = 50345,
        [EnumDescription("湖北11选5任选6胆拖")]
        HdR6Dt = 50346,
        [EnumDescription("湖北11选5任选7胆拖")]
        HdR7Dt = 50347,
        [EnumDescription("湖北11选5前1直选复式")]
        HdQ1ZxFs = 50351,
        [EnumDescription("湖北11选5前2直选复式")]
        HdQ2ZxFs = 50352,
        [EnumDescription("湖北11选5前3直选复式")]
        HdQ3ZxFs = 50353,
        [EnumDescription("湖北11选5前2组选复式")]
        HdQ2ZuxFs = 50362,
        [EnumDescription("湖北11选5前3组选复式")]
        HdQ3ZuxFs = 50363,
        [EnumDescription("湖北11选5任选2复式")]
        HdR2Fs = 50372,
        [EnumDescription("湖北11选5任选3复式")]
        HdR3Fs = 50373,
        [EnumDescription("湖北11选5任选4复式")]
        HdR4Fs = 50374,
        [EnumDescription("湖北11选5任选5复式")]
        HdR5Fs = 50375,
        [EnumDescription("湖北11选5任选6复式")]
        HdR6Fs = 50376,
        [EnumDescription("湖北11选5任选7复式")]
        HdR7Fs = 50377,

        //江苏多乐彩
        [EnumDescription("江苏多乐彩前2直选单式")]
        JdQ2ZxDs = 50402,
        [EnumDescription("江苏多乐彩前3直选单式")]
        JdQ3ZxDs = 50403,
        [EnumDescription("江苏多乐彩前2组选单式")]
        JdQ2ZuxDs = 50412,
        [EnumDescription("江苏多乐彩前3组选单式")]
        JdQ3ZuxDs = 50413,
        [EnumDescription("江苏多乐彩任选2单式")]
        JdR2Ds = 50422,
        [EnumDescription("江苏多乐彩任选3单式")]
        JdR3Ds = 50423,
        [EnumDescription("江苏多乐彩任选4单式")]
        JdR4Ds = 50424,
        [EnumDescription("江苏多乐彩任选5单式")]
        JdR5Ds = 50425,
        [EnumDescription("江苏多乐彩任选6单式")]
        JdR6Ds = 50426,
        [EnumDescription("江苏多乐彩任选7单式")]
        JdR7Ds = 50427,
        [EnumDescription("江苏多乐彩任选8单式")]
        JdR8Ds = 50428,
        [EnumDescription("江苏多乐彩前2组选胆拖")]
        JdQ2ZuxDt = 50432,
        [EnumDescription("江苏多乐彩前3组选胆拖")]
        JdQ3ZuxDt = 50433,
        [EnumDescription("江苏多乐彩任选2胆拖")]
        JdR2Dt = 50442,
        [EnumDescription("江苏多乐彩任选3胆拖")]
        JdR3Dt = 50443,
        [EnumDescription("江苏多乐彩任选4胆拖")]
        JdR4Dt = 50444,
        [EnumDescription("江苏多乐彩任选5胆拖")]
        JdR5Dt = 50445,
        [EnumDescription("江苏多乐彩任选6胆拖")]
        JdR6Dt = 50446,
        [EnumDescription("江苏多乐彩任选7胆拖")]
        JdR7Dt = 50447,
        [EnumDescription("江苏多乐彩前2直选复式")]
        JdQ2ZxFs = 50452,
        [EnumDescription("江苏多乐彩前3直选复式")]
        JdQ3ZxFs = 50453,
        [EnumDescription("江苏多乐彩前2组选复式")]
        JdQ2ZuxFs = 50462,
        [EnumDescription("江苏多乐彩前3组选复式")]
        JdQ3ZuxFs = 50463,
        [EnumDescription("江苏多乐彩任选1复式")]
        JdR1Fs = 50471,
        [EnumDescription("江苏多乐彩任选2复式")]
        JdR2Fs = 50472,
        [EnumDescription("江苏多乐彩任选3复式")]
        JdR3Fs = 50473,
        [EnumDescription("江苏多乐彩任选4复式")]
        JdR4Fs = 50474,
        [EnumDescription("江苏多乐彩任选5复式")]
        JdR5Fs = 50475,
        [EnumDescription("江苏多乐彩任选6复式")]
        JdR6Fs = 50476,
        [EnumDescription("江苏多乐彩任选7复式")]
        JdR7Fs = 50477,


        //彩票机不支持该玩法 2.28号放开，29号暂停
        //[EnumDescription("多乐彩前1直选单式")]
        //DlQ1ZxDs = 50501,
        [EnumDescription("多乐彩前2直选单式")]
        DlQ2ZxDs = 50502,
        [EnumDescription("多乐彩前3直选单式")]
        DlQ3ZxDs = 50503,
        [EnumDescription("多乐彩前2组选单式")]
        DlQ2ZuxDs = 50512,
        [EnumDescription("多乐彩前3组选单式")]
        DlQ3ZuxDs = 50513,
        [EnumDescription("多乐彩任选2单式")]
        DlR2Ds = 50522,
        [EnumDescription("多乐彩任选3单式")]
        DlR3Ds = 50523,
        [EnumDescription("多乐彩任选4单式")]
        DlR4Ds = 50524,
        [EnumDescription("多乐彩任选5单式")]
        DlR5Ds = 50525,
        [EnumDescription("多乐彩任选6单式")]
        DlR6Ds = 50526,
        [EnumDescription("多乐彩任选7单式")]
        DlR7Ds = 50527,
        [EnumDescription("多乐彩任选8单式")]
        DlR8Ds = 50528,
        [EnumDescription("多乐彩前2组选胆拖")]
        DlQ2ZuxDt = 50532,
        [EnumDescription("多乐彩前3组选胆拖")]
        DlQ3ZuxDt = 50533,
        [EnumDescription("多乐彩任选2胆拖")]
        DlR2Dt = 50542,
        [EnumDescription("多乐彩任选3胆拖")]
        DlR3Dt = 50543,
        [EnumDescription("多乐彩任选4胆拖")]
        DlR4Dt = 50544,
        [EnumDescription("多乐彩任选5胆拖")]
        DlR5Dt = 50545,
        [EnumDescription("多乐彩任选6胆拖")]
        DlR6Dt = 50546,
        [EnumDescription("多乐彩任选7胆拖")]
        DlR7Dt = 50547,
        [EnumDescription("多乐彩前1直选复式")]
        DlQ1ZxFs = 50551,
        [EnumDescription("多乐彩前2直选复式")]
        DlQ2ZxFs = 50552,
        [EnumDescription("多乐彩前3直选复式")]
        DlQ3ZxFs = 50553,
        [EnumDescription("多乐彩前2组选复式")]
        DlQ2ZuxFs = 50562,
        [EnumDescription("多乐彩前3组选复式")]
        DlQ3ZuxFs = 50563,
        [EnumDescription("多乐彩任选2复式")]
        DlR2Fs = 50572,
        [EnumDescription("多乐彩任选3复式")]
        DlR3Fs = 50573,
        [EnumDescription("多乐彩任选4复式")]
        DlR4Fs = 50574,
        [EnumDescription("多乐彩任选5复式")]
        DlR5Fs = 50575,
        [EnumDescription("多乐彩任选6复式")]
        DlR6Fs = 50576,
        [EnumDescription("多乐彩任选7复式")]
        DlR7Fs = 50577,
        //彩票机不支持该玩法
        //[EnumDescription("多乐彩任选8复式")]
        //DlR8Fs = 50578,

        [EnumDescription("竞足让球胜平负")]
        JzRQSPF = 91101,
        [EnumDescription("竞足比分")]
        JzBF = 91102,
        [EnumDescription("竞足总进球数")]
        JzJQS = 91103,
        [EnumDescription("竞足半全场")]
        JzBQC = 91104,
        //彩票机不支持该玩法
        //[EnumDescription("竞足上下单双")]
        //JzSXDS = 91105,
        [EnumDescription("竟足胜平负")]
        JzSPF = 91106,
        [EnumDescription("竞足混合过关")]
        JzHHGG =91199,

        [EnumDescription("竞篮让分胜负")]
        JlRFSF = 95101,
        [EnumDescription("竞篮胜负")]
        JlSF = 95102,
        [EnumDescription("竞篮胜分差")]
        JlSFC = 95103,
        [EnumDescription("竞篮大小分")]
        JlDXF = 95104,
        [EnumDescription("竞篮混合过关")]
        JlHHGG = 95199,

        [EnumDescription("竟彩名次冠军")]
        JmGj = 97101,
        [EnumDescription("竟彩名次冠亚军")]
        JmGyj = 97102,

        [EnumDescription("北单让球胜平负")]
        BdSPF = 90101,
        [EnumDescription("北单比分")]
        BdBF = 90102,
        [EnumDescription("北单总进球数")]
        BdJQS = 90103,
        [EnumDescription("北单半全场")]
        BdBQC = 90104,
        [EnumDescription("北单上下单双")]
        BdSXDS = 90105,
        [EnumDescription("胜负过关")]
        DsSF = 90201,

         #region 幸运赛车

        [EnumDescription("幸运赛车前一单式")]
        XsQ1Ds = 50611,
        [EnumDescription("幸运赛车位置")]
        XsWz = 50618,
        [EnumDescription("幸运赛车大小奇偶")]
        XsDxJo = 50619,
        [EnumDescription("幸运赛车前二单式")]
        XsQ2Ds = 50621,
        [EnumDescription("幸运赛车前二复式")]
        XsQ2Fs = 50622,
        [EnumDescription("幸运赛车前二胆拖")]
        XsQ2Dt = 50623,
        [EnumDescription("幸运赛车前二对位复式")]
        XsQ2DwFs = 50624,
        [EnumDescription("幸运赛车前二组选单式")]
        XsQ2ZuxDs = 50625,
        [EnumDescription("幸运赛车前二组选复式")]
        XsQ2ZuxFs = 50626,
        [EnumDescription("幸运赛车过二关单式")]
        XsG2gDs = 50627,
        [EnumDescription("幸运赛车过二关胆拖")]
        XsG2gDt = 50628,
        [EnumDescription("幸运赛车过二关对位复式")]
        XsG2gDwFs = 50629,
        [EnumDescription("幸运赛车前三单式")]
        XsQ3Ds = 50631,
        [EnumDescription("幸运赛车前三复式")]
        XsQ3Fs = 50632,
        [EnumDescription("幸运赛车前三胆拖")]
        XsQ3Dt = 50633,
        [EnumDescription("幸运赛车前三对位复式")]
        XsQ3DwFs = 50634,
        [EnumDescription("幸运赛车前三组选单式")]
        XsQ3ZuxDs = 50635,
        [EnumDescription("幸运赛车前二组选复式")]
        XsQ3ZuxFs = 50636,
        [EnumDescription("幸运赛车过三关单式")]
        XsG3gDs = 50637,
        [EnumDescription("幸运赛车过三关胆拖")]
        XsG3gDt = 50638,
        [EnumDescription("幸运赛车过三关对位复式")]
        XsG3gDwFs = 50639,
        [EnumDescription("幸运赛车颜色前一")]
        XsYsQ1 = 50617,
        [EnumDescription("幸运赛车颜色前2对位复式")]
        XsYsQ2DwFs = 50686,
        [EnumDescription("幸运赛车颜色前3对位复式")]
        XsYsQ3DwFs = 50687,
        [EnumDescription("幸运赛车前2组选胆拖")]
        XsQ2ZuxDt = 50688,
        [EnumDescription("幸运赛车前3组选胆拖")]
        XsQ3ZuxDt = 50689,
        [EnumDescription("幸运赛车双车位置单式")]
        XsScwzDs = 50691,
        [EnumDescription("幸运赛车双车位置复式")]
        XsScwzFs = 50692,
        [EnumDescription("幸运赛车双车位置胆拖")]
        XsScwzDt = 50693,
        [EnumDescription("幸运赛车颜色前2单式")]
        XsYsQ2Ds = 50694,
        [EnumDescription("幸运赛车颜色前2复式")]
        XsYsQ2Fs = 50695,
        [EnumDescription("幸运赛车颜色前2胆拖")]
        XsYsQ2Dt = 50696,
        [EnumDescription("幸运赛车颜色前3单式")]
        XsYsQ3Ds = 50697,
        [EnumDescription("幸运赛车颜色前3复式")]
        XsYsQ3Fs = 50698,
        [EnumDescription("幸运赛车颜色前3胆拖")]
        XsYsQ3Dt = 50699

        #endregion
    }
}
